Subject: Re: [Ntp] Draft rechartering text for NTP working group

From: "Salz, Rich" <[email-masked]>
Date: Sun, 25 Jul 2021 14:16:50 +0000

I think the introduction should mention that accurate time is fundamental to implementing many important security properties, and therefore often must be (cryptographically, or otherwise) secured.

From: "[email-masked]" <[email-masked]>
Date: Saturday, July 24, 2021 at 8:50 AM
To: "[email-masked]" <[email-masked]>
Subject: [Ntp] Draft rechartering text for NTP working group

Below is draft text for the rechartering of the NTP working group. Please review and comment. This will be on the agenda for next week’s meeting.

Regards,
Karen and Dieter

Good quality time is a key component of all modern systems, devices, and applications. This quality time requires reliable and accurate network time synchronization over modern IP-based networks.  The Network Time Protocols working group is focused on enhancing existing network time synchronizsation protocols, such as the Network Time Protocol (NTP), and specifing new network time related protocols or extensions for purposes which the existing protocols are not well suited to address.

NTP was first defined in the IETF in RFC 958 in 1985. It has been through several iterations in the IETF. The latest, NTPv4 (RFC 5905) was published in 2010.  Today it is the most widely used time synchronization protocol for the synchronization of clocks of various digital systems including computers, networks, and a myriad of devices. Despite NTP's wide-spread success it has become apparent that it needs further development in order to adequately meet the modern requirements of time synchronization protocols and to meet the increasing security threats of the Internet.

The working group will continue to to address the maintenance of NTPv4 including extensions and corrections. This includes the introduction of a interleave mode in order to enhance the accuracy of the network time synchronization and the introduction of alternative selection algorithms in order to enhance robustness against delay attacks.

Despite its increasing importance, NTP remains vulnerable to many types of  attacks. Therefore, in 2020 the working group published Network Time Security (NTS) as RFC 8915. NTS extends NTP with an authentication approach to ensure authenticity of NTP time servers and protects the integrity of exchanged NTP packets. The working group will work on extending NTS to cover the remaining modes of service for NTP not covered by the initial version. The working group will also work on extending NTS for PTP(1) in collaboration with the IEEE 1588 working group.

The working group shall also develop an updated version of NTP (preliminarly known as NTPv5) addressing a number of identified weaknesses. The new specification shall comprise of a set of documents, in order to distinguish between the on-wire protocol engine and the timing engine of NTP clients and servers.  The updated version of NTP will address the security requirements specified in RFC 7384 and leverage the work completed in RFC 8915.

Finally, the working group, will address other network time related protocols in the IETF (e.g. Roughtime).

(1) PTP is the Precision Time Protocol as defined by the IEEE 1588. The latest version is IEEE 1588-2019 - IEEE Standard for a Precision Clock Synchronization Protocol for Networked Measurement and Control Systems.